Subject: Re: WGLC Reminder: draft-ietf-ipdvb-ar-04.txt

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 19 Jul 2006 14:41:08 +0100

Thanks Rupert,

That was very useful to have your comments. You spotted several thing 
athat I've now fixed in the new version of the document, which we'll 
submit next week, after any further comments. Detailed edits in-line.

Gorry
(as author)

Rupert Goodings wrote:
> Gorry and all,
> 
> Sorry for late reply.  Usual excuses apply(^2) ;-)
> 
> As requested some comments on draft-ietf-ipdvb-ar-04.txt.
> 
> 
> Generally I think the document is in good shape and provides 
> a useful introduction to the problems.  My earlier major comments 
> about being clearer on the purpose of the document seem to have been 
> resolved.
> 
> I have spotted a few editorial nits on rereading.  Mostly minor (see below for 
> details) but I did notice several <<inputs requested>> (suggesting more 
> inputs wanted) in Section 5.  I think these can be deleted...but it does 
> suggest that a V05 would be useful mainly to clean up that section.
> 
> best regards
> 
> Rupert Goodings
> Ecotel Ltd/ ETSI WG-BSM Chairman
> 
> ==DETAILED EDITORIALS
> 
> Section 2 and general
> Sections 3 &4 use of "MAC Address" which is not defined in Section 2; in 
> preference to "NPA" which is defined.  

> Suggest adding MAC Address to Section 2

OK, defined this as:
MAC Address: A 6 byte link layer address of the format described by the 
Ethernet IEEE 802 standard (see also NPA).

> Also suggest using "NPA/MAC Address" in sections 3 and 4.
> 
To be consistent with RFC4326, NPA = ULA address indicated by the D-bit, 
whereas MAC means IEEE-style address. I've reworked the text to make 
this clearer. Also made all "NPA/MAC" into "MAC/NPA".

Also note a mistake to section (iii) which was confusing about L2 
multicast addressess, thsi now reads:

"  (iii) IP and other protocols may view sets of L3 multicast
         addresses as link-local. This may produce unexpected results
         if frames with the corresponding multicast L2 addresses are
         distributed to systems in a different L3 network or
         multicast scope (see sections 3.2 and 5.6)"

> 
> Section 2&3 (nit)
> All ULE to section 2
> Correct ULE longhand in section 3.
> 
Can you explain which line this problem occurs in?

> 
> Section 3: 
> (Nit+) The wording of the first  requirement could be improved:
> replace "A scalable and efficient transmission"
> with two points:
> "A scalable architecture"
> "Efficient use of messages to minimise transmission overheads"
> [assuming that is what you mean :-)]
> 
Proposed new text:

A scalable architecture that may support large numbers of systems within 
the MPEG-2 network [RFC4259].

A method for transmission of AR information from an AR Server to clients 
that minimise the transmission cost (link local multicast, is preferable 
to subnet broadcast).

> 
> Section 3:
> (Nit) Use "context/scope" terminology consistently.  Reqs uses "scope"; 
> following para uses "context" [both words are OK for me].
> 
Done, scope now used in section 3.

> Section 4.1.1; 3rd para
> Is this para really discussing AR?  The phrase "receive L2 information and 
> allocate an IP address" seems to be implying RAR instead?
 >
Yes, I think the focus is DHCP as a method to populate the AR cache.

> Some rewording may be needed.
> [For info, ETSI BSM propose to avoid RAR in satellite context].
 >
DHCP is at least used in some cable systems and systems using UDLR.

> Section 4.2.4
> (nit) StrengthS
/each has their strength/
> 
> Section 4.3.
> Inconsistent use of language:
> Title uses "resolution of TS Logical Channels"
> body uses "address resolution for TS streams"
OK, adjusted text.

> [I prefer a hybrid "address resolution for TS Logical Channels"]
> 
Agreed, changed title.
> 
> Section 5:
> I assume the <<inputs requested>> lines will be deleted?
> Also incomplete section xx reference.
> 
I can not find these in rev -04, if you know where theyt are, let me know.

> 
> Section 5.4. 2nd para
> Might be better to add a few words as indicated by <<>> below
> "follows normal practice for <<mapping IP Addresses to>> IEEE <<802>>  
> MAC Addresses.
> 
Added:
(mapping the IP address to the L2 address)

> 
> ==END
> 
> 
> Date sent:      	Tue, 18 Jul 2006 10:21:06 +0100
> From:           	Gorry Fairhurst <[email-masked]>
> Organization:   	University of Aberdeen, UK
> To:             	[email-masked]
> Subject:        	WGLC Reminder: draft-ietf-ipdvb-ar-04.txt
> Send reply to:  	[email-masked]
> 
> 
>>As WG Chair:
>>
>>draft-ietf-ipdvb-ar-04.txt
>>http://tools.ietf.org/wg/ipdvb/draft-ietf-ipdvb-ar/
>>
>>The WGLC for the above ID is due to end. Please ensure that you send an
>>email to the ipdvb list if there are ANY issues which you think may
>>require further discussion or any comments/corrections.
>>
>>It would also be most useful to email, if you have read the document and
>>have no comments (or just minor corrections).
>>
>>Gorry Fairhurst
>>(IPDVB WG CHAIR)
>>
>>
>>
>>
>>
>>
>>
>>
> 
> 
> 
> 
>